package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsOnlineOlPortinfoA;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * 【请填写功能名称】对象 ods_online_ol_portinfo_a
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "【请填写功能名称】")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsOnlineOlPortinfoAQuery extends PageQuery
{

    @ApiModelProperty(value = "主键ID")
    private String id;
    @ApiModelProperty(value = "企业主键ID")
    private String psId;
    @ApiModelProperty(value = "监控点编码（保留字典不参与业务）")
    private String portCode;
    @ApiModelProperty(value = "监控点编号（保留字典不参与业务）")
    private String portNum;
    @ApiModelProperty(value = "监测点名称后缀")
    private String portNameSuffix;
    @ApiModelProperty(value = "$column.columnComment")
    private String portName;
    @ApiModelProperty(value = "排口类型，如：水、气（字典数据）")
    private String portTypeId;
    @ApiModelProperty(value = "监控点位置")
    private String portPosition;
    @ApiModelProperty(value = "经度")
    private String longitude;
    @ApiModelProperty(value = "纬度")
    private String latitude;
    @ApiModelProperty(value = "监测点类型代码")
    private String monitorTypeId;
    @ApiModelProperty(value = "行政区划编码")
    private String regionId;
    @ApiModelProperty(value = "是否烧结，1-否 1-是 ")
    private String isSintering;
    @ApiModelProperty(value = "是否启用，0-否 1-是")
    private String enable;
    @ApiModelProperty(value = "联网时间")
    private String networkTime;
    @ApiModelProperty(value = "是否联网，1-是 0-否")
    private Long networkStatus;
    @ApiModelProperty(value = "运维标记联网时间")
    private String opFlagNetworkTime;
    @ApiModelProperty(value = "运维标记是否联网 1-是 0-否")
    private Long opFlagNetworkStatus;
    @ApiModelProperty(value = "异常上限")
    private String abnormalUp;
    @ApiModelProperty(value = "异常下限")
    private String abnormalDown;
    @ApiModelProperty(value = "是否高架源，0-否 1-是")
    private String highChimney;
    @ApiModelProperty(value = "是否垃圾焚烧，0-否 1-是")
    private String rubbish;
    @ApiModelProperty(value = "排放规律")
    private String outputRule;
    @ApiModelProperty(value = "入库时间")
    private String createTime;
    @ApiModelProperty(value = "修改时间")
    private String updateTime;
    @ApiModelProperty(value = "delete_time")
    private String deleteTime;
    @ApiModelProperty(value = "由禁用改为启用时间")
    private String enableTime;
    @ApiModelProperty(value = "监测点状态，1-在线 2-超标 3-异常 4-离线")
    private String portState;
    @ApiModelProperty(value = "$column.columnComment")
    private String isSync;
    @ApiModelProperty(value = "排放口id")
    private String outletId;
    @ApiModelProperty(value = "创建人")
    private String createdBy;
    @ApiModelProperty(value = "编辑人")
    private String updatedBy;
    @ApiModelProperty(value = "基准含氧量")
    private String outletYq;
    @ApiModelProperty(value = "排污许可编号")
    private String pwxkBh;
    @ApiModelProperty(value = "国发监测点id")
    private String gfPortId;
    @ApiModelProperty(value = "是否同步给长天 1同步 0不同步")
    private Long sySky;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsOnlineOlPortinfoA> createLambdaQueryWrapper(OdsOnlineOlPortinfoAQuery query) {
        QueryWrapper<OdsOnlineOlPortinfoA> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPsId()), "ps_id", query.getPsId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortCode()), "port_code", query.getPortCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortNum()), "port_num", query.getPortNum());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortNameSuffix()), "port_name_suffix", query.getPortNameSuffix());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortName()), "port_name", query.getPortName());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortTypeId()), "port_type_id", query.getPortTypeId());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortPosition()), "port_position", query.getPortPosition());
        wrapper.eq(ObjectUtil.isNotNull(query.getLongitude()), "longitude", query.getLongitude());
        wrapper.eq(ObjectUtil.isNotNull(query.getLatitude()), "latitude", query.getLatitude());
        wrapper.eq(ObjectUtil.isNotNull(query.getMonitorTypeId()), "monitor_type_id", query.getMonitorTypeId());
        wrapper.eq(ObjectUtil.isNotNull(query.getRegionId()), "region_id", query.getRegionId());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsSintering()), "is_sintering", query.getIsSintering());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnable()), "enable", query.getEnable());
        wrapper.eq(ObjectUtil.isNotNull(query.getNetworkTime()), "network_time", query.getNetworkTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getNetworkStatus()), "network_status", query.getNetworkStatus());
        wrapper.eq(ObjectUtil.isNotNull(query.getOpFlagNetworkTime()), "op_flag_network_time", query.getOpFlagNetworkTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getOpFlagNetworkStatus()), "op_flag_network_status", query.getOpFlagNetworkStatus());
        wrapper.eq(ObjectUtil.isNotNull(query.getAbnormalUp()), "abnormal_up", query.getAbnormalUp());
        wrapper.eq(ObjectUtil.isNotNull(query.getAbnormalDown()), "abnormal_down", query.getAbnormalDown());
        wrapper.eq(ObjectUtil.isNotNull(query.getHighChimney()), "high_chimney", query.getHighChimney());
        wrapper.eq(ObjectUtil.isNotNull(query.getRubbish()), "rubbish", query.getRubbish());
        wrapper.eq(ObjectUtil.isNotNull(query.getOutputRule()), "output_rule", query.getOutputRule());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getDeleteTime()), "delete_time", query.getDeleteTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getEnableTime()), "enable_time", query.getEnableTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getPortState()), "port_state", query.getPortState());
        wrapper.eq(ObjectUtil.isNotNull(query.getIsSync()), "is_sync", query.getIsSync());
        wrapper.eq(ObjectUtil.isNotNull(query.getOutletId()), "outlet_id", query.getOutletId());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreatedBy()), "created_by", query.getCreatedBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdatedBy()), "updated_by", query.getUpdatedBy());
        wrapper.eq(ObjectUtil.isNotNull(query.getOutletYq()), "outlet_yq", query.getOutletYq());
        wrapper.eq(ObjectUtil.isNotNull(query.getPwxkBh()), "pwxk_bh", query.getPwxkBh());
        wrapper.eq(ObjectUtil.isNotNull(query.getGfPortId()), "gf_port_id", query.getGfPortId());
        wrapper.eq(ObjectUtil.isNotNull(query.getSySky()), "sy_sky", query.getSySky());
        return wrapper;
        }
}
